summaryrefslogtreecommitdiffstats
path: root/system/rox-filer/rox-filer.SlackBuild
diff options
context:
space:
mode:
author slakmagik2010-05-11 22:55:28 +0200
committer Robby Workman2010-05-11 22:55:28 +0200
commit15a83814dab363684048ea2baebf4be08be54e6f (patch)
tree175acbc103bced42f5e661191b665041ea7e35d9 /system/rox-filer/rox-filer.SlackBuild
parenta1c01b57a34588a04b23c5c7b43f299f8e2f10ef (diff)
downloadslackbuilds-15a83814dab363684048ea2baebf4be08be54e6f.tar.gz
system/rox-filer: Added to 12.1 repository
Diffstat (limited to 'system/rox-filer/rox-filer.SlackBuild')
-rw-r--r--system/rox-filer/rox-filer.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/system/rox-filer/rox-filer.SlackBuild b/system/rox-filer/rox-filer.SlackBuild
new file mode 100644
index 0000000000..4b800b1cc0
--- /dev/null
+++ b/system/rox-filer/rox-filer.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for rox-filer
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=rox-filer
+VERSION=2.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./ROX-Filer/AppRun --compile
+
+# begin poor man's 'make install' (*heavily* adapted from rox's interactive
+# prefix-less install.sh)
+
+APPDIR=/usr/libexec
+BINDIR=/usr/bin
+CHOICESDIR=/etc/rox/xdg/rox.sourceforge.net/MIME-types
+DOCDIR=/usr/doc
+MANDIR=/usr/man/man1
+MIMEDIR=/usr/share/mime
+
+mkdir -p \
+ $PKG/$APPDIR \
+ $PKG/$BINDIR \
+ $PKG/$CHOICESDIR \
+ $PKG/$DOCDIR \
+ $PKG/$MANDIR \
+ $PKG/$MIMEDIR/packages
+
+(cd ROX-Filer/src && make clean) > /dev/null 2>&1
+cp -a ROX-Filer $PKG/$APPDIR
+# the actual original files of symlink.png and mime-application:x-jar.png,
+# which also have symlinks to them, are executable and shouldn't be.
+chmod 644 $PKG/$APPDIR/ROX-Filer/{images,ROX/MIME}/*
+
+# the APP_DIR isn't on the path, so this lets the user run the filer with a
+# simple 'rox' invocation.
+cat > $PKG/$BINDIR/rox << EOF
+#!/bin/sh
+exec $APPDIR/ROX-Filer/AppRun "\$@"
+EOF
+chmod 0755 $PKG/$BINDIR/rox
+
+# Don't clobber these on upgrades
+cd Choices/MIME-types
+ for file in * ; do
+ mv $file $PKG/$CHOICESDIR/$file.new ;
+ done
+cd -
+
+# The doc files are accessible through the UI, so need to be left here, but
+# there also need to be docs in the usual /usr/doc dir, so we link. The
+# build script ends up in ROX's help dir, too, but that's actually kinda cool.
+# ;)
+( cd $PKG/$DOCDIR && ln -sf $APPDIR/ROX-Filer/Help $PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/$APPDIR/ROX-Filer/Help/$PRGNAM.SlackBuild
+
+gzip -9c rox.1 > $PKG/$MANDIR/rox.1.gz
+( cd $PKG/$MANDIR ; ln -sf rox.1.gz ROX-Filer.1.gz )
+
+cp rox.xml $PKG/$MIMEDIR/packages/rox.xml
+
+# end poor man's 'make install'
+
+mkdir -p $PKG/etc/profile.d
+install -m 0755 $CWD/$PRGNAM.sh $PKG/etc/profile.d/$PRGNAM.sh.new
+install -m 0755 $CWD/$PRGNAM.csh $PKG/etc/profile.d/$PRGNAM.csh.new
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/rox-filer.desktop > $PKG/usr/share/applications/rox-filer.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz